Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginModificationRegion

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginModificationRegion

    public class PluginModificationRegion

extends PluginSBase

     Class for region.
     An instance corresponds a <region> tag.

CellDesigner extention of SBML definition

region
id : SId name : string {use="optional"} type : string {use="optional"} size : double {use="optional"} pos : double {use="optional"}

The "id" which may a SId type string in the SBML definition, is treated as a String. When it is input or output, format check is done. If it fails, an SIdFormatException is thrown.

Field Summary
`static double` | `MINIMUM_SIZE_ANY` constants for minimum size
`static double` | `MINIMUM_SIZE_DNAMETYLATION` constants for minimum size
`static double` | `MINIMUM_SIZE_EMPTY` constants for minimum size
`static java.lang.String` | `TYPE_CODING_REGION`
`static java.lang.String` | `TYPE_MODIFICATION_SITE`
`static java.lang.String` | `TYPE_PROTEIN_BINDING_DOMAIN` constants for type field
`static java.lang.String` | `TYPE_REGULATORY_REGION`
`static java.lang.String` | `TYPE_TRANSCRIPTION_STARTING_SITE_L`
`static java.lang.String` | `TYPE_TRANSCRIPTION_STARTING_SITE_R`

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginModificationRegion(PluginAntiSenseRNA rna)` Constructor
`PluginModificationRegion(PluginGene gene)` Constructor
`PluginModificationRegion(PluginRNA rna)` Constructor

Method Summary
`boolean` | `getActive()` Gets a state for transcriptional starting site.
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`PluginSBase` | `getParentExtensionSBase()`
`java.lang.String` | `getParentID()`
`double` | `getPos()`
`double` | `getSize()`
`java.lang.String` | `getType()`
`void` | `setActive(boolean active)` Sets a state for transcriptional starting site.
`protected void` | `setId(java.lang.String id)` Sets the id of this PluginModificationRegion.
`void` | `setName(java.lang.String name)` Sets the name of this PluginModificationRegion
`void` | `setPos(double pos)` Sets the position of this PluginModificationRegion.
`void` | `setSize(double size)` Sets the size of this PluginModificationRegion
`void` | `setType(java.lang.String type)` Sets type of this PluginModificationRegion

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_PROTEIN_BINDING_DOMAIN

    public static final java.lang.String TYPE_PROTEIN_BINDING_DOMAIN

  constants for type field

  See Also:
    Constant Field Values

### TYPE_MODIFICATION_SITE

    public static final java.lang.String TYPE_MODIFICATION_SITE

See Also:
  Constant Field Values

### TYPE_CODING_REGION

    public static final java.lang.String TYPE_CODING_REGION

See Also:
  Constant Field Values

### TYPE_REGULATORY_REGION

    public static final java.lang.String TYPE_REGULATORY_REGION

See Also:
  Constant Field Values

### TYPE_TRANSCRIPTION_STARTING_SITE_L

    public static final java.lang.String TYPE_TRANSCRIPTION_STARTING_SITE_L

See Also:
  Constant Field Values

### TYPE_TRANSCRIPTION_STARTING_SITE_R

    public static final java.lang.String TYPE_TRANSCRIPTION_STARTING_SITE_R

See Also:
  Constant Field Values

### MINIMUM_SIZE_EMPTY

    public static final double MINIMUM_SIZE_EMPTY

  constants for minimum size

  See Also:
    Constant Field Values

### MINIMUM_SIZE_ANY

    public static final double MINIMUM_SIZE_ANY

  constants for minimum size

  See Also:
    Constant Field Values

### MINIMUM_SIZE_DNAMETYLATION

    public static final double MINIMUM_SIZE_DNAMETYLATION

  constants for minimum size

  See Also:
    Constant Field Values

Constructor Detail

### PluginModificationRegion

    public PluginModificationRegion(PluginGene gene)

  Constructor

  Parameters:
    `gene` - PluginGene

### PluginModificationRegion

    public PluginModificationRegion(PluginRNA rna)

  Constructor

  Parameters:
    `rna` - PluginRNA

### PluginModificationRegion

    public PluginModificationRegion(PluginAntiSenseRNA rna)

  Constructor

  Parameters:
    `rna` - PluginAntiSenseRNA

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the name of this PluginModificationRegion

  Parameters:
    `name` -

### getName

    public java.lang.String getName()

  Returns:
    the name of this PluginModificationRegion

### setType

    public void setType(java.lang.String type)

  Sets type of this PluginModificationRegion

  Parameters:
    `type` - the type is the following static field of this PluginModificationRegion: TYPE_EMPTY, TYPE_PROMOTOR, TYPE_CODING_REGION, TYPE_TRANSCRIPTION_STARTING_POINT_L TYPE_TRANSCRIPTION_STARTING_POINT_R, TYPE_EXON and TYPE_PROTEIN_BINDING_DOMAIN

### getType

    public java.lang.String getType()

  Returns:
    the type of this PluginModificationRegion. See setType

### setSize

    public void setSize(double size)

  Sets the size of this PluginModificationRegion

  Parameters:
    `size` -

### getSize

    public double getSize()

  Returns:
    the size of this PluginModificationRegion.

### setPos

    public void setPos(double pos)

  Sets the position of this PluginModificationRegion.

  Parameters:
    `pos` - the position of this PluginModificationRegion

### getPos

    public double getPos()

  Returns:
    the positon of this PluginModificationRegion.

### getId

    public java.lang.String getId()

  Returns:
    the id of this PluginModificationRegion.

### setId

    protected void setId(java.lang.String id)

  Sets the id of this PluginModificationRegion.

  Parameters:
    `id` -

### getParentID

    public java.lang.String getParentID()

  Returns:
    the ParentID of this PluginModificationRegion

### getParentExtensionSBase

    public PluginSBase getParentExtensionSBase()

  Returns:
    the ParentExtensionSBase if ParentSBase is PluginGene, PluginRNA or PluginAntiSenseRNA, null otherwise

### setActive

    public void setActive(boolean active)

  Sets a state for transcriptional starting site.

  Parameters:
    `active` -

### getActive

    public boolean getActive()

  Gets a state for transcriptional starting site.

  Returns:
    active

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD